Package net.commoble.jumbofurnace.jumbo_furnace

# Class InputItemHandler

java.lang.Object
net.neoforged.neoforge.transfer.StacksResourceHandler<net.minecraft.world.item.ItemStack,net.neoforged.neoforge.transfer.item.ItemResource>
net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler
net.commoble.jumbofurnace.jumbo_furnace.InputItemHandler

All Implemented Interfaces:
  `net.neoforged.neoforge.common.util.ValueIOSerializable`, `net.neoforged.neoforge.transfer.ResourceHandler<net.neoforged.neoforge.transfer.item.ItemResource>`

public class InputItemHandler extends net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`final JumboFurnaceCoreBlockEntity`
`te`

### Fields inherited from class net.neoforged.neoforge.transfer.StacksResourceHandler

`codec, emptyStack, stacks, VALUE_IO_KEY`

## Constructor Summary

Constructors
Constructor
Description
`InputItemHandler(JumboFurnaceCoreBlockEntity te)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`onContentsChanged(int slot, net.minecraft.world.item.ItemStack oldStack)`

### Methods inherited from class net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler

`copyOf, getAmountFrom, getCapacity, getResourceFrom, getStackFrom, matches`

### Methods inherited from class net.neoforged.neoforge.transfer.StacksResourceHandler

`copyToList, deserialize, extract, getAmountAsLong, getCapacityAsLong, getResource, insert, isValid, serialize, set, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.neoforged.neoforge.transfer.ResourceHandler

`extract, getAmountAsInt, getCapacityAsInt, insert`

## Field Details

### te

public final JumboFurnaceCoreBlockEntity te

## Constructor Details

### InputItemHandler

public InputItemHandler(JumboFurnaceCoreBlockEntity te)

## Method Details

### onContentsChanged

protected void onContentsChanged(int slot, net.minecraft.world.item.ItemStack oldStack)

Overrides:
  `onContentsChanged` in class `net.neoforged.neoforge.transfer.StacksResourceHandler<net.minecraft.world.item.ItemStack,net.neoforged.neoforge.transfer.item.ItemResource>`